<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _message_lang.xsl:

================
message_lang.xsl
================

produce paragraph or phrase according to language

EVOLUTIONS
==========

$Id$

$URL$

- fplod 20120229

  * add modes in para_lastupdate_bib template

- fplod 20110705T154547Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add rest mode

- fplod 2008-09-17T12:07:38Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add message_back

- fplod 2008-05-06T13:24:02Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add message_and

- fplod 2008-04-30T10:57:13Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:template name="para_lastupdate_bib">
<!--
 Last update of the bibliography databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

 <xsl:message terminate="no">
eee : unknown language : <xsl:value-of select="$language"/>
eee : unknown language : <xsl:value-of select="$date"/>
eee : unknown language : <xsl:value-of select="$mode"/>
</xsl:message>
<xsl:variable name="message_lastupdate_bib">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the bibliography databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la bibliographie :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_bib
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<xsl:choose>
<xsl:when test="($mode = 'dbk')">
<para>
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:when test="($mode = 'html')">
<xsl:element name="p">
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</xsl:element>
</xsl:when>
<xsl:when test="($mode = 'flat')">
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</xsl:when>
<xsl:when test="($mode = 'rest')">
<xsl:text>&#xA;</xsl:text>
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
<xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_bib
eee : unknown mode AAA : <xsl:value-of select="$mode"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="para_lastupdate_user">
<!--
 Last update of the user databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate_user">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the user databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la base utilisateur :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_user
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate_user"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="para_lastupdate">
<!--
 Last update : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:choose>
<xsl:when test="($mode = 'dbk')">
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:when test="($mode = 'html')">
<xsl:element name="p">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:element>
</xsl:when>
<xsl:when test="($mode = 'flat')">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:when>
<xsl:when test="($mode = 'rest')">
<xsl:text>&#xA;</xsl:text>
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
<xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown mode : <xsl:value-of select="$mode"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="and">
<!--
 and
-->
<xsl:param name="language"/>

<xsl:variable name="message_and">
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text> and </xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text> et </xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template and
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:value-of select="$message_and"/>

</xsl:template>

<xsl:template name="back">
<!--
 Back to
-->
<xsl:param name="language"/>

<xsl:variable name="message_back">
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text>Back to</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text>Retour vers</xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template back
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:value-of select="$message_back"/>

</xsl:template>

</xsl:stylesheet>
